summaryrefslogtreecommitdiff
path: root/netzbon
diff options
context:
space:
mode:
authorMS <ms@taler.net>2023-12-05 15:02:26 +0100
committerMS <ms@taler.net>2023-12-05 15:02:26 +0100
commit9292319f7e630e1dd37231097b36075799584699 (patch)
tree6eda810e3ee069e30abac3b0583083eb73c1c0d2 /netzbon
parentde3c4e7afcba0427d222ccda18166b2d8886f534 (diff)
downloaddeployment-9292319f7e630e1dd37231097b36075799584699.tar.gz
deployment-9292319f7e630e1dd37231097b36075799584699.tar.bz2
deployment-9292319f7e630e1dd37231097b36075799584699.zip
command order, file permission, idempotency
Diffstat (limited to 'netzbon')
-rwxr-xr-xnetzbon/install_packages.sh13
-rwxr-xr-xnetzbon/main.sh3
-rwxr-xr-xnetzbon/setup-exchange.sh2
3 files changed, 11 insertions, 7 deletions
diff --git a/netzbon/install_packages.sh b/netzbon/install_packages.sh
index d340eaf..4f5b592 100755
--- a/netzbon/install_packages.sh
+++ b/netzbon/install_packages.sh
@@ -60,8 +60,11 @@ apt install taler-exchange \
libeufin-nexus -y
# temporary: remove once LibEuFin Debian packages reach stability
-git clone git://git.taler.net/libeufin /libeufin
-cd /libeufin
-./bootstrap
-./configure --prefix=/usr
-make install
+if ! test -d /libeufin
+then
+ git clone git://git.taler.net/libeufin /libeufin
+ cd /libeufin
+ ./bootstrap
+ ./configure --prefix=/usr
+ make install
+fi
diff --git a/netzbon/main.sh b/netzbon/main.sh
index 0765070..23898ef 100755
--- a/netzbon/main.sh
+++ b/netzbon/main.sh
@@ -36,7 +36,6 @@ check_user
# Installation of deb packages required
. install_packages.sh
-config_services
# Check DNS settings
if ! ping -c1 "exchange.${DOMAIN_NAME}" &>/dev/null; then
say "Could not ping exchange.${DOMAIN_NAME}."
@@ -67,6 +66,8 @@ if test -z "${PROTO:-}"; then
echo "PROTO=$PROTO">>config/internal.conf
fi
+config_services
+
# Final message to the user
say "Congratulations, you have successfully installed GNU Taler"
say "Your bank is at ${PROTO}://bank.${DOMAIN_NAME}/"
diff --git a/netzbon/setup-exchange.sh b/netzbon/setup-exchange.sh
index 286316e..12dc2df 100755
--- a/netzbon/setup-exchange.sh
+++ b/netzbon/setup-exchange.sh
@@ -155,7 +155,7 @@ for SEC in $(taler-config -c /etc/taler/conf.d/"${CURRENCY}"-coins.conf -S | gre
taler-config -c /etc/taler/conf.d/"${CURRENCY}"-coins.conf -s "$SEC" -o CIPHER -V "RSA"
done
-chmod a+r /etc/taler/taler.conf # FIXME-CG: Debian installation should set this
+chmod o+r /etc/taler/taler.conf # FIXME-CG: Debian installation should set this
# NOTE: already fixed in exchange.git, leaving in place
# until 0.9.4 release of fixed exchange Debian package. -CG
say "Initializing exchange database"